#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_SeniorGraphicalCFGData
{
	//编号
	int mID;
	//图形资源
	std::string mGraphicalId;
	//道具倍率
	int mGraphicalMultiple;
};

class Fish_SeniorGraphicalCFG
{
public:
private:
	static std::auto_ptr<Fish_SeniorGraphicalCFG> msSingleton;
public:
	int GetCount();
	const Fish_SeniorGraphicalCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_SeniorGraphicalCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_SeniorGraphicalCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_SeniorGraphicalCFGData> mMapData;
};
